/*CSS Reset*/
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body{
	font-family: 'Open Sans', sans-serif;
}

/*

CSS Display Property

display: block;
	- changes the element into a block element.
	- takes up the full width of the browser/viewport.
	Example:
		- p
		- h1
		- div
		- ul/li

display: inline;
	- changes the element into inline element.
	- it only takes up as much width is needed.
	- width and height cannot be change for inline elements
	Example:
		- span
		- button
		- label
		- input

display:  inline-block;
	- it is a combination of the two elements.
	- act as an inline element, but still have the property(width and height) of a block element.
	Example: 
		- img

display: none;
	- hides an element from the browser.
*/

#div-1 {
    background-color: green;
    display: inline;
    width: 200px;
    height: 200px;
}

#span-1 {
    background-color: purple;
    display: none;
    width: 200px;
    height: 200px;
}

#span-2 {
    background-color: red;
    display: block;
}

#div-2 {
	display: none;
    background-color: hotpink;
}

#img {
	display: inline-block;
    width:  250px;
    height: 250px;
}

/*

CSS Background Property (Color Values)

-#hexcode value
	- hexadecimal color is specified with:
		- #RRGGBB (Red, Green, Blue)
		- Between 00 and FF (0-9, A-F)
-rgb(red, green, blue) or rgba(red, green, blue, alpha) values
	- values inside the parenthesis is between 0 and 255 (percentage values 0% - 100%)
	- sets the opacity of a variable (0.0 to 1.0)
-color name values
	- composed of 140 colors, commonly used for changing color in an element.
*/

#p-1{
	background-color: #87CEFA; /*hex code*/
}

#p-2{
	background-color: rgba(255, 105, 180, 0.50); /*rbg or rbga*/
	width: 60%;
}

#p-3{
	background-color: yellow; /*color names*/
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	/*border: thickness | border type | color*/
	border: 1px solid black;
	text-align: center;
}

/*
CSS Float Property


*/

.img-float{
	width: 250px;
	height: 250px;
	float: inherit;
}

/*For Demo of Float*/
/*#div-float{
	background-color: green;
	color: white;
}

#right{
	float: right;
}

#right > p{
	display: inline;
}*/

/*

CSS Units
-percentage(%)
	- is relative to parent element
	- The height and width will based on the parent container.
-pixel(px)
	- is relative to the viewscreen(based on the screen resolution)
	- screens with higher resolution will contain more pixels.
-Viewport Units
	- relative to the viewport/browser window size.
		- Viewport Width (vw)
		- Viewport Height (vh)
- em
	- relative to the parent element.
	- eq px size = em * parent size

-rem
	- relative to the root element (HTML Tag)
	- eq px size = em * root size
*/

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 10px;
}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}

.parent{
	width: 500px;
	border:  2px solid black;
	background-color: whitesmoke;
	font-size: 30px;
}

.fifty-vw{
	width: 50vw;
}

.twenty-five-vh{
	height: 25vh;
}

.one-rem{
	/*1 rem = 16px (fontsize of the root element)*/
	font-size: 1rem;
}

.one-em{
	font-size: 1em;
}

.two-rem{
	font-size: 2rem; /*32px*/
}

.two-em{
	font-size: 2em; /*inside parent container font size is 60px*/
}

.two-hundred-percent{
	font-size: 200%;
}

/*

	CSS Background Property (Image)

*/

.background{
	min-height: 20rem;
	/*background-color: gray;*/
	/*Takes on the path to your image*/
	background-image: url(https://cutewallpaper.org/22/your-name-aesthetic-desktop-wallpapers/2954230375.jpg);
	/*sets how the a background image will be repeated*/
	background-repeat: no-repeat;
	/*Specifies the size of the background image*/
	background-size: 100%;
	/*position of the background is relative to the HTML element(x and y axis)*/
	background-position: center top;
	/*sets whether a background image scrolls with the rest of the page or it is fixed. (scroll or fixed)*/
	background-attachment: fixed;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

/*
CSS Positioning
-postion: static
	- This is the default value for elements. normal flow of the document
-postion: relative
	- Remains in the normal flow of document, but will be affected by the top, left, right, bottom, and z-index property.
-position: absolute
	- This are positioned relative to their parent element.
-position: fixed;
	- Similar with the absolute position, but it is always position relative to the element/window.
-position: sticky;
	- Acts like a relatively positioned element until a scroll point and then it acts like a fixed element.
*/

.parent-element {
    background-color: skyblue;
    /*for adding values for padding: y-axis x-axis*/
    padding: 50px 10px;
    position: relative;
    height: 800vh;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

html{
	height: 800vh;
}

/*
Z-index 
	- it also belongs to position like top, left, right, and bottom
	- it manipulates the stacked order.
 */
.container {
  position: relative;
}

.black-box {
  position: relative;
  z-index: 1;
  border: 2px solid black;
  height: 100px;
  margin: 30px;
}

.gray-box {
  position: absolute;
  z-index: 3;
  background: lightgray;
  height: 60px;  
  width: 70%;
  left: 50px;
  top: 50px;
}

.green-box {
  position: absolute;
  z-index: 2;
  background: lightgreen;
  width: 35%;
  left: 270px;
  top: -15px;
  height: 100px;
}
